Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.binding.jms
Class JMSBindingInfo

    java.lang.Object
      weblogic.webservice.binding.BindingInfo
          weblogic.webservice.binding.jms.JMSBindingInfo

Deprecated. please migrate to jws for webservices

public class JMSBindingInfo
extends BindingInfo

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `TRANSPORT` Deprecated.

Fields inherited from class weblogic.webservice.binding.BindingInfo
`DEFAULT_TRANSPORT, SOAP11, SOAP12`

Constructor Summary
`JMSBindingInfo()` Deprecated.

Method Summary
`String` | `getAddress()` Deprecated. Returns the address of the end point.
`String` | `getFactoryName()` Deprecated.
`String` | `getHost()` Deprecated.
`int` | `getPort()` Deprecated.
`String` | `getQueueName()` Deprecated.
`String` | `getServiceURI()` Deprecated.
`String` | `getTransport()` Deprecated. Returns the transport used by this BindingInfo.
`void` | `setAddress(String address)` Deprecated. Sets the address of the end point.
`void` | `setHost(String h)` Deprecated.
`void` | `setPort(int p)` Deprecated.
`void` | `setServiceURI(String su)` Deprecated.

Methods inherited from class weblogic.webservice.binding.BindingInfo
`getAcceptCharset, getCharset, getTimeout, isSoap12, isVerbose, setAcceptCharset, setCharset, setTimeout, setVerbose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSPORT

    public static final String TRANSPORT

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### JMSBindingInfo

    public JMSBindingInfo()

  Deprecated.

Method Detail

### getAddress

    public String getAddress()

  Deprecated.
  Description copied from class: `BindingInfo`
  Returns the address of the end point.

  Overrides:
    `getAddress` in class `BindingInfo`
  Returns:
    end point address

### getFactoryName

    public String getFactoryName()

  Deprecated.

### getHost

    public String getHost()

  Deprecated.

### getPort

    public int getPort()

  Deprecated.

### getQueueName

    public String getQueueName()

  Deprecated.

### getServiceURI

    public String getServiceURI()

  Deprecated.

### getTransport

    public String getTransport()

  Deprecated.
  Description copied from class: `BindingInfo`
  Returns the transport used by this BindingInfo.

  Overrides:
    `getTransport` in class `BindingInfo`
  Returns:
    transport

### setAddress

    public void setAddress(String address)

  Deprecated.
  Description copied from class: `BindingInfo`
  Sets the address of the end point.

  Overrides:
    `setAddress` in class `BindingInfo`
  Parameters:
    `address` - end point address

### setHost

    public void setHost(String h)

  Deprecated.

### setPort

    public void setPort(int p)

  Deprecated.

### setServiceURI

    public void setServiceURI(String su)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD